/*<![CDATA[*/$(function() {
			$('[name=select], [name=checkbox]').on('change', function() {
			var select = [];
			$('[name=select]:checked').each(function() {
			select.push('.' + $(this).val());
			});

			var checkbox = [];
			$('[name=checkbox]:checked').each(function() {
			checkbox.push('.' + $(this).val());
			});

			$('#err').remove();

			if (select.length === 0 && checkbox.length === 0) {
			$('#list-data table tbody tr').show();
			} else {
			var tr = $('#list-data table tbody tr').hide().filter(function() {
			var selectMatch = true;
			var checkboxMatch = true;

			if (select.length > 0) {
			selectMatch = $(this).is(function() {
			var element = $(this);
			for (var i = 0; i < select.length; i++) {
			if (!element.find(select[i]).length) {
			return false;
			}
			}
			return true;
			});
			}

			if (checkbox.length > 0) {
			checkboxMatch = $(this).is(function() {
			var element = $(this);
			for (var i = 0; i < checkbox.length; i++) {
			if (!element.find(checkbox[i]).length) {
			return false;
			}
			}
			return true;
			});
			}

			return selectMatch && checkboxMatch;

			}).show();

			if (tr.length === 0) {
			$("#list-data table").after($('<div>').attr('id', 'err').text("ŠY“–‚È‚µ"));
			}
			}
			});

			$('#reset').on('click', function(e) {
			$('[name=select], [name=checkbox]').prop('checked', false).trigger('change');
			});
});/*]]>*/
